import(Module_Defines)
import(Module_Map)
import(Module_Objects)
import(Module_DataTypes)
import(Module_Game)
import(Module_Table)
import(Module_MapWho)

local positions = {}

local m = MapPosXZ.new();
for z=-6,12,1 do
    for x=70,182,1 do
        m.XZ.X = x;
        m.XZ.Z = z;
        table.insert(positions, m.Pos);
    end
end

function OnCreateThing(t)
    if (t.Type == T_SPELL) then
        if (t.Model == M_SPELL_LAND_BRIDGE or 
            t.Model == M_SPELL_FLATTEN or
            t.Model == M_SPELL_VOLCANO) then
            local pos = world_coord3d_to_map_idx(t.Pos.D3);
            for k, v in pairs(positions) do
                if (v == pos) then
                    t.Model = M_SPELL_NONE;
                end
            end
        end
    end
end